import olympiad;

size(7cm);

pair A= (0,0), B = (10, 0), C = (8,7);

pair O = circumcenter(A, B, C), I = incenter(A, B, C);

pair K = intersectionpoint(circumcircle(A, B, C), A--I + 2*(I-A)), D = foot(O, A, I);

draw(anglemark(K, A, C, 15, 17, 19), blue);
draw(anglemark(B, A, K, 15, 17, 19), blue);
draw(anglemark(K, B, C, 15, 17, 19), blue);
draw(anglemark(B, C, K, 15, 17, 19), blue);

draw(anglemark(C, B, I, 15, 17), green);
draw(anglemark(I, B, A, 15, 17), green);

draw(rightanglemark(A, D, O));

draw(A--B--C--cycle);
draw(incircle(A,B,C));
draw(circumcircle(A,B,C));

draw(A--K);
draw(A--O--K);
draw(O--D);

draw(B--I--C);
draw(B--K--C);

dot(A); dot(B); dot(C);
dot(O); dot(I); dot(D); dot(K);

label("$A$", A, N);
label("$B$", B, SE);
label("$C$", C, SW);
label("$O$", O, W);
label("$D$", D, E);
label("$I$", I, NE);
label("$K$", K, S);

pair M = (B+C)/2.;
dot(M);
label("$M$", M, N);

pair Bprim = tangent(A, incenter(A,B,C), inradius(A,B,C), 2);
dot(Bprim);
label("$B'$", Bprim, N);
