import olympiad;
import geometry;

size(6cm);

void draw_square(pair global_offset)
{
    pair go = global_offset;

    pen color;
    for(int i=0; i<2; ++i)
        for(int j=0; j<2; ++j)
        {
            if((i+j) % 2 == 0) color = orange; else color = 0.7*green;
            filldraw(square((2*i,2*j)+go, (2*(i+1),2*j)+go), color,linewidth(0.5));
            draw(square((2*i,2*j)+go, (2*(i+1),2*j)+go), linewidth(1));
        }

    for(int i=0; i<4; ++i)
        for(int j=0; j<4; ++j)
            draw(square((i,j)+go, (i+1,j)+go), linewidth(0.5));

    path myline = (1, 0)+go--(1,2)+go;
    for(int i=0; i<4; ++i)
        draw(rotate(i*90, (2,2)+go)*myline, linewidth(1));

    pair offset = (0.5, 0.5)+go;

    currentpen += 2bp;
    label("$1$", (0,3) + offset);
    label("$1$", (1,3) + offset);
    label("$2$", (0,2) + offset);
    label("$2$", (1,2) + offset);
    label("$3$", (2,1) + offset);
    label("$3$", (3,1) + offset);
    label("$4$", (2,0) + offset);
    label("$4$", (3,0) + offset);

    label("$5$", (0,1) + offset);
    label("$5$", (0,0) + offset);
    label("$6$", (1,1) + offset);
    label("$6$", (1,0) + offset);
    label("$7$", (2,2) + offset);
    label("$7$", (2,3) + offset);
    label("$8$", (3,2) + offset);
    label("$8$", (3,3) + offset);
    currentpen += -2bp;
}

for(int i=0; i<3; ++i)
    for(int j=0; j<3; ++j)
        draw_square((4*i,4*j));


filldraw((1,2)--(6,2)--(6,3)--(1,3)--cycle, blue+opacity(0.7), linewidth(0.5));
filldraw((8,3)--(8,8)--(9,8)--(9,3)--cycle, blue+opacity(0.7), linewidth(0.5));
/*for(int i=0; i<=3*2; ++i)*/
/*    draw((0,2*i), (12, 2*i));*/

/*for(int i=0; i<=3*2; ++i)*/
/*    draw((2*i, 0), (2*i, 12));*/
