import olympiad;
import markers;
import geometry;

size(7cm);

real a = 2*pi*75/360., b=2*pi*240/360., c = 2*pi*345/360;
pair A = expi(a), B = expi(b), C = expi(c);
pair K = expi((b+c)/2.), L = expi((c+a)/2.+pi), M = expi((a+b)/2.);

pair I = incenter(A, B, C);
pair X = extension(A, K, M, L);

markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=-21, K, A, B);
markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=-21, C, A, K);
markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=-21, K, L, B);
markangle(Label("$\alpha$",Relative(0.5)),n=1,radius=-21, C, M, K);

/*draw(anglemark(B, A, K));*/
/*draw(anglemark(K, A, C));*/
/*draw(anglemark(B, L, K));*/
/*draw(anglemark(K, M, C));*/

markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=-25, A, B, L,p=0.7green+1bp);
markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=-25, L, B, C,p=0.7green+1bp);
markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=-25, A, K, L,p=0.7green+1bp);
markangle(Label("$\beta$",Relative(0.5), black),n=2,radius=-25, L, M, C,p=0.7green+1bp);
/*draw(anglemark(L, B, A, 9, 11), 0.7green);*/
/*draw(anglemark(C, B, L, 9, 11), green);*/
/*draw(anglemark(L, K, A, 9, 11), green);*/
/*draw(anglemark(C, M, L, 9, 11), green);*/


markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=-22, M, C, A,p=orange+1bp);
markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=-22, B, C, M,p=orange+1bp);
markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=-22, M, K, A,p=orange+1bp);
markangle(Label("$\gamma$",Relative(0.5), black),n=3,radius=-22, B, L, M,p=orange+1bp);
/*draw(anglemark(A, C, M, 4, 6, 8), orange);*/
/*draw(anglemark(M, C, B, 4, 6, 8), orange);*/
/*draw(anglemark(A, K, M, 4, 6, 8), orange);*/
/*draw(anglemark(M, L, B, 4, 6, 8), orange);*/

//path marks
draw(B--K--C, StickIntervalMarker(2,1));
draw(C--L--A, StickIntervalMarker(2,2));
draw(A--M--B, StickIntervalMarker(2,3));

draw(A--B--C--cycle);
draw(circumcircle(A, B, C));
draw(incircle(A, B, C), red);

draw(K--L--M--cycle, linewidth(1.5));

draw(A--K^^B--L^^C--M, blue);

draw(A--L--C--K--B--M--cycle, darkgreen);

dot(A); dot(B); dot(C);
dot(K); dot(L); dot(M);

dot(X);
dot(I);

label("$A$", A, N);
label("$B$", B, SW);
label("$C$", C, E);
label("$K$", K, S);
label("$L$", L, NE);
label("$M$", M, W);

label("$I$", I, E);
label("$X$", X, NE);
