import olympiad;
import markers;

size(5cm);

pair A= (-2, 0)*I, B= (2, 0)*I, C= (10/11., 16/11.)*I;

pair D = B + (B-C)/sqrt((C-B)*conj(C-B))*sqrt((A-B)*conj(A-B));
pair O = circumcenter(A, B, D);

markangle(Label("$\alpha$", Relative(0.5), black), n=2, radius=-8, C, A, B,
blue);
markangle(Label("$2\alpha$", Relative(0.5), black), n=4, radius=-8, A, B, C,
blue);
markangle(Label("$\alpha$", Relative(0.5), black), n=2, radius=-8, B, A, D,
blue);
markangle(Label("$\alpha$", Relative(0.5), black), n=2, radius=-8, A, D, B,
blue);

markangle(Label("$2\alpha$", Relative(0.5), black), n=4, radius=8, B, O, A,
blue);

draw(A--B--C--cycle);
draw(B--D--A);

draw(arc(O, rotate(-5, O)*D, rotate(5, O)*A), 0.7*red);

draw(A--O^^B--O^^D--O, dashed);

dot("$A$", A);
dot("$B$", B, NW);
dot("$C$", C, W);
dot("$D$", D);
dot("$O$", O);
