import olympiad;

pair symmetric(pair P, pair B, pair C)
{
    return 2*foot(P, B, C) - P;
}

size(8cm);

pair A = expi(9/8.*pi), B = conj(-A), C = expi(pi/3.);
pair D = foot(A, B, C), EE = foot(B, A, C), F = foot(C, A, B);

pair H = orthocenter(A,B,C);
pair EEprim = symmetric(EE, B, C), EEbis = symmetric(EE, B, A);

draw(Circle((0,0), 1));

draw(D--EE--F--cycle, blue+linewidth(2));
draw(anglemark(C, B, A), green);
draw(anglemark(EEprim, B, EEbis, 3., 4.), green);

draw(A--B--C--cycle);
draw(A--D^^B--EE^^C--F);

draw(EEprim--EEbis, blue);

draw(EE--EEprim, dotted);
draw(EE--EEbis, dotted);
draw(rightanglemark(EE, foot(EE, B, C), C, 1));
draw(rightanglemark(EE, foot(EE, B, A), A, 1));


draw(rightanglemark(A,D,C, 1));
draw(rightanglemark(B,EE,A, 1));
draw(rightanglemark(C,F,B, 1));

draw(EEprim--B--EEbis, red);
/*--------------------------*/


dot(A); dot(B); dot(C);
label("$A$", A, SW);
label("$B$", B, SE);
label("$C$", C, N);

dot(D); dot(EE); dot(F);
label("$D$", D, E);
label("$E$", EE, NW);
label("$F$", F, S);

dot(EEprim); dot(EEbis);
label("$E'$", EEprim, E);
label("$E''$", EEbis, S);

dot(H);
label("$H$", H, W);
