import olympiad;

pair symmetric(pair P, pair B, pair C)
{
    return 2*foot(P, B, C) - P;
}

size(8cm);

pair A = expi(9/8.*pi), B = conj(-A), C = expi(pi/3.);
pair X = (3*C/5 + 2*B/5.), Y = (2/3.*C + 1/3.*A), Z = (3/4.*B + 1/4.*A);

pair H = orthocenter(A,B,C);
pair Yprim = symmetric(Y, B, C), Ybis = symmetric(Y, B, A);

draw(Circle((0,0), 1));

draw(X--Y--Z--cycle, blue+linewidth(2));
draw(anglemark(C, B, A), green);
draw(anglemark(Yprim, B, Ybis, 3., 4.), green);

draw(A--B--C--cycle);

draw(rightanglemark(Y, foot(Y, B, C), C, 1));
draw(rightanglemark(Y, foot(Y, B, A), A, 1));


draw(Yprim--X--Z--Ybis, blue);

draw(Y--Yprim, dotted);
draw(Y--Ybis, dotted);
draw(Yprim--Ybis, dashed);

draw(Yprim--B--Ybis, red);
/*--------------------------*/


dot(A); dot(B); dot(C);
label("$A$", A, SW);
label("$B$", B, SE);
label("$C$", C, N);

dot(X); dot(Y); dot(Z);
label("$X$", X, E);
label("$Y$", Y, NW);
label("$Z$", Z, S);

dot(Yprim); dot(Ybis);
label("$Y'$", Yprim, E);
label("$Y''$", Ybis, S);
