import olympiad;

size(6.5cm);

pair A = (0, 0), B = (15, 0), C = (10, 13);
pair D = foot(A, B, C), EE = foot(B, A, C), F = foot(C, B, A);
pair H = orthocenter(A, B, C);

draw(circumcircle(B, D, F), gray);
draw(circumcircle(C, EE, D), gray);

draw(rightanglemark(A, F, C, 12));
draw(rightanglemark(A, EE, B, 12));

draw(anglemark(EE,D,H, 18), green);
draw(anglemark(EE,C,H, 18), green);
draw(anglemark(H,D,F, 18), green);
draw(anglemark(H,B,F, 18), green);

draw(A--B--C--cycle);
draw(A--D^^B--EE^^C--F);

draw(D--EE--F--cycle, blue);
draw(incircle(D,EE,F), red);

dot(A); dot(B); dot(C);
dot(D); dot(EE); dot(F);
dot(H);
label("$A$", A, SE);
label("$B$", B, SW);
label("$C$", C, N);

label("$D$", D, S);
label("$E$", EE, W);
label("$F$", F, E);

label("$H$", H, SW);
