import olympiad;
import geometry;

size(7cm);

texpreamble("\usepackage[utf8]{inputenc}");
texpreamble("\usepackage[T1]{fontenc}");

path outer = (0,0)--(3,0)--(7,4)--(7,13)--(3,15)--(-2,16)--(-6,14)--(-8,7)--(-6,3)--cycle;

draw(outer);

pair A = (-2, 4), B=(3,6), C = (4,10), D = (-4, 10);

filldraw(outer, lightgray);
filldraw(A--B--C--D--cycle, lightblue);
draw(A--B--C--D--cycle);

/*-----------------------------*/

pair Aprim = intersectionpoints(A--(A-3*I*(B-A)), outer)[0], Bprim =
intersectionpoints(B--(B-3*I*(B-A)), outer)[0];

draw(A--Aprim^^B--Bprim);
dot(Aprim); dot(Bprim);

label("$A'$", Aprim, S);
label("$B'$", Bprim, SE);

draw(rightanglemark(Aprim, A, B));
draw(rightanglemark(Bprim, B, A));

draw(Aprim--(0,0)--(3,0)--Bprim, linewidth(2));


/*-----------------------------*/

pair DD = intersectionpoints(D--(D-3*I*(A-D)), outer)[0], DA =
intersectionpoints(A--(A-3*I*(A-D)), outer)[0];

draw(D--DD^^A--DA);
dot(DD); dot(DA);

draw(rightanglemark(DD, D, A));
draw(rightanglemark(DA, A, D));

draw(DD--(-8,7)--(-6,3)--DA, linewidth(2));

/*-----------------------------*/

pair BB = intersectionpoints(B--(B-3*I*(C-B)), outer)[0], BC =
intersectionpoints(C--(C-3*I*(C-B)), outer)[0];

draw(B--BB^^C--BC);
dot(BB); dot(BC);

draw(rightanglemark(BB, B, C));
draw(rightanglemark(BC, C, B));

draw(BB--BC, linewidth(2));

/*-----------------------------*/

pair CC = intersectionpoints(C--(C+3*I*(C-D)), outer)[0], CD =
intersectionpoints(D--(D+3*I*(C-D)), outer)[0];

draw(C--CC^^D--CD);
dot(CC); dot(CD);

draw(rightanglemark(CC, C, D));
draw(rightanglemark(CD, D, C));

draw(CC--(3,15)--(-2,16)--CD, linewidth(2));

dot(A); dot(B); dot(C); dot(D);

label("$A$", A, S);
label("$B$", B, E);
label("$C$", C, NE);
label("$D$", D, NW);

label("Wielokąt A", (A+C)/2., N+1/4*W);
label("Wielokąt B", (A+C)/2., 12*N+1/4*W);
